import 'dart:typed_data';
import 'package:flutter/material.dart';

import 'package:zego_express_engine/zego_express_engine.dart';
import 'package:zego_uikit/src/services/defines/media.event.dart';
import 'package:zego_uikit/src/services/uikit_service.dart';
import 'package:zego_uikit/src/services/defines/express.event.dart';

part 'express.dart';

part 'media.dart';

class ZegoUIKitEvent with ZegoUIKitExpressEvent, ZegoUIKitMediaEvent {
  void init() {
    ZegoLoggerService.logInfo(
      'init',
      tag: 'uikit core',
      subTag: 'event',
    );

    express.init();
    media.init();
  }

  void uninit() {
    ZegoLoggerService.logInfo(
      'uninit',
      tag: 'uikit core',
      subTag: 'event',
    );

    express.uninit();
    media.uninit();
  }
}
